# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

Classes | Enumerations
dirac_instr Namespace Reference

## Classes
class | DrawGMInliers
class | DrawMotionArrows
| Class to carry out the overlay of motion vectors represented by arrows. More...
class | DrawMotionColour
| Class to carry out overlay of motion vectors using colour. More...
class | DrawMotionColourArrows
| Class to carry out overlay of motion vectors as coloured arrows. More...
class | DrawOverlay
| Base class for block overlay objects. More...
class | DrawPictureMotionParams
| Class encapsulating parameters for drawing the picture. More...
class | DrawPredMode
| Class to carry out overlay of prediction mode. More...
class | DrawSad
| Class to carry out overlay of SAD block values. More...
class | DrawSplitMode
class | Overlay
| Class managing instrumentation overlay. More...
class | OverlayParams
| Class holding instrumentation overlay information. More...
class | OverlaySymbols

## Enumerations
enum | OverlayOption { motion_arrows, motion_colour, motion_colour_arrows, gm_arrows, gm_colour, gm_colour_arrows, gm_diff_arrows, gm_diff_colour, gm_diff_colour_arrows, gm_inliers, split_mode, SAD, pred_mode }
| Enumeration of options for instrumentation overlay. More...

## Enumeration Type Documentation

enum dirac_instr::OverlayOption

Enumerator
motion_arrows |
motion_colour |
motion_colour_arrows |
gm_arrows |
gm_colour |
gm_colour_arrows |
gm_diff_arrows |
gm_diff_colour |
gm_diff_colour_arrows |
gm_inliers |
split_mode |
SAD |
pred_mode |

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.